Bug 1279359 - Unexpected Error 'DataSet with UUID[jbpmProcessInstances] error' when clicking Process Management->Process Instances.
Unexpected Error 'DataSet with UUID[jbpmProcessInstances] error' when clickin...
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
x86_64 Linux
high Severity urgent
: CR1
: 6.2.0
Assigned To: Neus Miras
Lukáš Petrovický
: i18n, Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-09 04:47 EST by Lijun Li
Modified: 2018-01-30 23:45 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Unexpected Error 'DataSet with UUID[jbpmProcessInstances] error' (26.29 KB, image/png)
2015-11-09 04:50 EST, Lijun Li
no flags Details
server.log (306.85 KB, text/plain)
2015-11-09 04:52 EST, Ryan Zhang
no flags Details

  None (edit)
Description Lijun Li 2015-11-09 04:47:09 EST
Description of problem:
Unexpected Error 'DataSet with UUID[jbpmProcessInstances] error' when clicking Process Management->Process Instances.

Version-Release number of selected component (if applicable):
6.2.0.ER5

How reproducible:
100%

Steps to Reproduce:
1. Login BPMS with admin user.
2. Create org/repo/project/business process.
3. Build & Deploy.
4. Start in Process Management -> Process Definitions.
5. Click Process Management -> Process Instances.

Actual results:
Unexpected Error 'DataSet with UUID[jbpmProcessInstances] error':
DataSet with UUID [ jbpmProcessInstances ] error: org.dashbuilder.dataset.exception.DataSetLookupException: Can't lookup on specified data set: jbpmProcessInstances

Expected results:
No such error.

Additional info:
Please also see the attached screen-shot.
Comment 1 Lijun Li 2015-11-09 04:50 EST
Created attachment 1091672 [details]
Unexpected Error 'DataSet with UUID[jbpmProcessInstances] error'
Comment 3 Ryan Zhang 2015-11-09 04:52 EST
Created attachment 1091679 [details]
server.log

Attached the sever.log for this issue.
Comment 4 Neus Miras 2015-11-10 07:23:33 EST
There were a problem with the dataset condition marshaling that has been solved in 
6.3.x
https://github.com/droolsjbpm/jbpm-console-ng/commit/b9ee18604c21730050ad4af3048b00cc996c0c2c

In master this json code marshaling is included in dashbuilders modules.
Comment 5 Tomas Livora 2015-11-11 05:20:47 EST
I have just encountered this issue on ER5. It is the same one as I reported on ER3 and verified on ER4. We must fix it before GA otherwise it is not possible to see running process instances in Business Central.
Comment 6 Josh West 2015-11-11 11:05:37 EST
Verified this happens on WebSphere as well.
Comment 7 Marek Baluch 2015-11-19 06:55:30 EST
Verified on 6.2.0.CR1.

The process instance view is shown without any errors and the simple start->end process is present on the "completed" tab.

Steps used:
1) Created a process with name "t" in the pre-created repository and project structure in package "org.kie.example.project1"
2) Build & Deploy.
3) Start in Process Management -> Process Definitions.
4) Click Process Management -> Process Instances.

(Same steps on 6.2.0.ER5 produced the error pop-up).

Note You need to log in before you can comment on or make changes to this bug.